export interface Match {
  id: number;
  name: string;
  date: string;
  location: string;
  totalSeats: number;
  availableSeats: number;
  price: number;
  timeoutDate: string;
  createdAt: string;
  pdfFiles?: string[];
}

export interface Seat {
  id: number;
  matchId: number;
  seatNumber: number;
  status: 'available' | 'reserved' | 'booked';
  ticketId: number | null;
  direction: string | null;
  extractedSeatNumber: number | null;
  uploadedPdfPath: string | null;
  bookedBy?: string;
  bookedByEmail?: string;
  createdAt: string;
}

export interface Ticket {
  id: number;
  matchId: number;
  name: string;
  email: string;
  phone: string;
  seats: number;
  status: 'pending' | 'confirmed' | 'cancelled';
  pdfFile: string | null;
  deliveryMethod: 'download' | 'email';
  createdAt: string;
}

export interface BookingFormData {
  name: string;
  email: string;
  phone: string;
  seats: number;
  deliveryMethod: 'download' | 'email';
}

export interface AdminSettings {
  id: string;
  password: string;
  lastUpdated: Date;
}